libssh2_sftp_get_channel(3)

NAME
libssh2_sftp_get_channel - return the channel of sftp

SYNOPSIS
#include <libssh2.h>
#include <libssh2_sftp.h>
LIBSSH2_CHANNEL *
libssh2_sftp_get_channel(LIBSSH2_SFTP *sftp);

DESCRIPTION
sftp - SFTP instance as returned by libssh2_sftp_init(3) Return the channel of the given sftp handle.

RETURN VALUE
The channel of the SFTP instance or NULL if something was wrong.

AVAILABILITY
Added in 1.4.0

SEE ALSO
libssh2_sftp_init(3)